const fs = require("fs");
const path = require("path");
const { execFileSync } = require("child_process");

const pkg = require("../package.json");

const goVersionFile = path.join(__dirname, "..", "internal/config/version.go");

function main() {
  writeVersionFile();
  execFileSync("git", ["add", goVersionFile]);
}

function writeVersionFile() {
  fs.writeFileSync(
    goVersionFile,
    [
      "// Code generated by scripts/bump.js. DO NOT EDIT.",
      "",
      "package config",
      "",
      `const Version = "v${pkg.version}"`,
      "",
    ].join("\n")
  );
}

main();
